Skip to navigation

Create volume

Creates a new block storage volume. To preview pricing without creating anything, use POST /storage/block-storage/cost-estimate.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Request

This endpoint expects an object.
namestringRequired
The name of the volume
sizeGbintegerRequired>=5
The size of the volume in GB
regionstringRequired
Label of the region where the volume will be created

Response

Volume created successfully
idstringformat: "uuid"
Unique identifier of the volume
namestring
Name of the volume
sizeGbinteger
Size of the volume in GB
statusstring
Current status of the volume
vmIdstring or nullformat: "uuid"
ID of the VM the volume is attached to. Null for detached volumes.
regionstring
Label of the region where the volume is located
createdAtdatetime
When the volume was created

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error